net.minecraft.tileentity

## Class TileEntityEnderChest

- java.lang.Object
- - net.minecraft.tileentity.TileEntity
  - - net.minecraft.tileentity.TileEntityEnderChest

-     public class TileEntityEnderChest
      extends TileEntity

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `float` | `field_145972_a`
    `int` | `field_145973_j`
    `float` | `field_145975_i`

    - ### Fields inherited from class net.minecraft.tileentity.TileEntity

      `blockMetadata, blockType, INFINITE_EXTENT_AABB, tileEntityInvalid, worldObj, xCoord, yCoord, zCoord`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TileEntityEnderChest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `func_145969_a()`
    `void` | `func_145970_b()`
    `boolean` | `func_145971_a(EntityPlayer p_145971_1_)`
    `void` | `invalidate()`
    `boolean` | `receiveClientEvent(int p_145842_1_, int p_145842_2_)`
    `void` | `updateEntity()`

    - ### Methods inherited from class net.minecraft.tileentity.TileEntity

      `addMapping, canUpdate, createAndLoadEntity, func_145828_a, getBlockMetadata, getBlockType, getDescriptionPacket, getDistanceFrom, getMaxRenderDistanceSquared, getRenderBoundingBox, getWorldObj, hasWorldObj, isInvalid, markDirty, onChunkUnload, onDataPacket, readFromNBT, setWorldObj, shouldRefresh, shouldRenderInPass, updateContainingBlockInfo, validate, writeToNBT`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### field_145972_a

          public float field_145972_a

    - #### field_145975_i

          public float field_145975_i

    - #### field_145973_j

          public int field_145973_j

  - ### Constructor Detail

    - #### TileEntityEnderChest

          public TileEntityEnderChest()

  - ### Method Detail

    - #### updateEntity

          public void updateEntity()

      Overrides:
        `updateEntity` in class `TileEntity`

    - #### receiveClientEvent

          public boolean receiveClientEvent(int p_145842_1_,
                                   int p_145842_2_)

      Overrides:
        `receiveClientEvent` in class `TileEntity`

    - #### invalidate

          public void invalidate()

      Overrides:
        `invalidate` in class `TileEntity`

    - #### func_145969_a

          public void func_145969_a()

    - #### func_145970_b

          public void func_145970_b()

    - #### func_145971_a

          public boolean func_145971_a(EntityPlayer p_145971_1_)